from super_bot.super_bot import SuperBot
from super_bot.timer import minutes
from super_bot.interval import Interval
from datetime import timedelta
from pynput.keyboard import Key


bot = SuperBot()

def press_overload():
    bot.press_key(Key.f5)

def press_animate_dead():
    bot.press_key(Key.f6)

overload = Interval(timedelta(seconds=330), press_overload)
animate_dead = Interval(timedelta(minutes=11), press_animate_dead)

timer = minutes(120)

while timer.ongoing():
    overload.check_and_execute()
    bot.super_random_sleep(500,800)
    animate_dead.check_and_execute()
    bot.super_random_sleep(1000, 2000)

